Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class FilterIndexReader

    java.lang.Object
      org.apache.lucene.index.IndexReader
          org.apache.lucene.index.FilterIndexReader

public class FilterIndexReader
extends IndexReader

A `FilterIndexReader` contains another IndexReader, which it uses as its basic source of data, possibly transforming the data along the way or providing additional functionality. The class `FilterIndexReader` itself simply implements all abstract methods of `IndexReader` with versions that pass all requests to the contained index reader. Subclasses of `FilterIndexReader` may further override some of these methods and may also provide additional methods and fields.

Nested Class Summary
`static class` | `FilterIndexReader.FilterTermDocs` Base class for filtering `TermDocs` implementations.
`static class` | `FilterIndexReader.FilterTermEnum` Base class for filtering `TermEnum` implementations.
`static class` | `FilterIndexReader.FilterTermPositions` Base class for filtering `TermPositions` implementations.

Field Summary
`protected IndexReader` | `in`

Constructor Summary
`FilterIndexReader(IndexReader in)` Construct a FilterIndexReader based on the specified base reader.

Method Summary
`int` | `docFreq(Term t)` Returns the number of documents containing the term `t`.
`protected void` | `doClose()` Implements close.
`protected void` | `doCommit()` Implements commit.
`Document` | `document(int n)` Returns the stored fields of the `n`th `Document` in this index.
`protected void` | `doDelete(int n)` Implements deletion of the document numbered `docNum`.
`protected void` | `doSetNorm(int d, String f, byte b)` Implements setNorm in subclass.
`protected void` | `doUndeleteAll()` Implements actual undeleteAll() in subclass.
`Collection` | `getFieldNames()` Returns a list of all unique field names that exist in the index pointed to by this IndexReader.
`Collection` | `getFieldNames(boolean indexed)` Returns a list of all unique field names that exist in the index pointed to by this IndexReader.
`Collection` | `getIndexedFieldNames(boolean storedTermVector)`
`TermFreqVector` | `getTermFreqVector(int docNumber, String field)` Return a term frequency vector for the specified document and field.
`TermFreqVector[]` | `getTermFreqVectors(int docNumber)` Return an array of term frequency vectors for the specified document.
`boolean` | `hasDeletions()` Returns true if any documents have been deleted
`boolean` | `isDeleted(int n)` Returns true if document n has been deleted
`int` | `maxDoc()` Returns one greater than the largest possible document number.
`byte[]` | `norms(String f)` Returns the byte-encoded normalization factor for the named field of every document.
`void` | `norms(String f, byte[] bytes, int offset)` Reads the byte-encoded normalization factor for the named field of every document.
`int` | `numDocs()` Returns the number of documents in this index.
`TermDocs` | `termDocs()` Returns an unpositioned `FilterIndexReader.FilterTermDocs` enumerator.
`TermPositions` | `termPositions()` Returns an unpositioned `TermPositions` enumerator.
`TermEnum` | `terms()` Returns an enumeration of all the terms in the index.
`TermEnum` | `terms(Term t)` Returns an enumeration of all terms after a given term.

Methods inherited from class org.apache.lucene.index.IndexReader
`close, commit, delete, delete, directory, finalize, getCurrentVersion, getCurrentVersion, getCurrentVersion, indexExists, indexExists, indexExists, isLocked, isLocked, lastModified, lastModified, lastModified, open, open, open, setNorm, setNorm, termDocs, termPositions, undeleteAll, unlock`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### in

    protected IndexReader in

Constructor Detail

### FilterIndexReader

    public FilterIndexReader(IndexReader in)

  Construct a FilterIndexReader based on the specified base reader. Directory locking for delete, undeleteAll, and setNorm operations is left to the base reader.

  Note that base reader is closed if this FilterIndexReader is closed.

Parameters:
  `in` - specified base reader.

Method Detail

### getTermFreqVectors

    public TermFreqVector[] getTermFreqVectors(int docNumber)
                                        throws IOException

  Description copied from class: `IndexReader`
  Return an array of term frequency vectors for the specified document. The array contains a vector for each vectorized field in the document. Each vector contains terms and frequencies for all terms in a given vectorized field. If no such fields existed, the method returns null.

  Specified by:
    `getTermFreqVectors` in class `IndexReader`
  Throws:
    `IOException`
  See Also:
    `Field.isTermVectorStored()`

### getTermFreqVector

    public TermFreqVector getTermFreqVector(int docNumber,
                                            String field)
                                     throws IOException

  Description copied from class: `IndexReader`
  Return a term frequency vector for the specified document and field. The vector returned contains terms and frequencies for those terms in the specified field of this document, if the field had storeTermVector flag set. If the flag was not set, the method returns null.

  Specified by:
    `getTermFreqVector` in class `IndexReader`
  Throws:
    `IOException`
  See Also:
    `Field.isTermVectorStored()`

### numDocs

    public int numDocs()

  Description copied from class: `IndexReader`
  Returns the number of documents in this index.

  Specified by:
    `numDocs` in class `IndexReader`

### maxDoc

    public int maxDoc()

  Description copied from class: `IndexReader`
  Returns one greater than the largest possible document number. This may be used to, e.g., determine how big to allocate an array which will have an element for every document number in an index.

  Specified by:
    `maxDoc` in class `IndexReader`

### document

    public Document document(int n)
                      throws IOException

  Description copied from class: `IndexReader`
  Returns the stored fields of the `n`th `Document` in this index.

  Specified by:
    `document` in class `IndexReader`
  Throws:
    `IOException`

### isDeleted

    public boolean isDeleted(int n)

  Description copied from class: `IndexReader`
  Returns true if document n has been deleted

  Specified by:
    `isDeleted` in class `IndexReader`

### hasDeletions

    public boolean hasDeletions()

  Description copied from class: `IndexReader`
  Returns true if any documents have been deleted

  Specified by:
    `hasDeletions` in class `IndexReader`

### doUndeleteAll

    protected void doUndeleteAll()
                          throws IOException

  Description copied from class: `IndexReader`
  Implements actual undeleteAll() in subclass.

  Specified by:
    `doUndeleteAll` in class `IndexReader`
  Throws:
    `IOException`

### norms

    public byte[] norms(String f)
                 throws IOException

  Description copied from class: `IndexReader`
  Returns the byte-encoded normalization factor for the named field of every document. This is used by the search code to score documents.

  Specified by:
    `norms` in class `IndexReader`
  Throws:
    `IOException`
  See Also:
    `Field.setBoost(float)`

### norms

    public void norms(String f,
                      byte[] bytes,
                      int offset)
               throws IOException

  Description copied from class: `IndexReader`
  Reads the byte-encoded normalization factor for the named field of every document. This is used by the search code to score documents.

  Specified by:
    `norms` in class `IndexReader`
  Throws:
    `IOException`
  See Also:
    `Field.setBoost(float)`

### doSetNorm

    protected void doSetNorm(int d,
                             String f,
                             byte b)
                      throws IOException

  Description copied from class: `IndexReader`
  Implements setNorm in subclass.

  Specified by:
    `doSetNorm` in class `IndexReader`
  Throws:
    `IOException`

### terms

    public TermEnum terms()
                   throws IOException

  Description copied from class: `IndexReader`
  Returns an enumeration of all the terms in the index. The enumeration is ordered by Term.compareTo(). Each term is greater than all that precede it in the enumeration.

  Specified by:
    `terms` in class `IndexReader`
  Throws:
    `IOException`

### terms

    public TermEnum terms(Term t)
                   throws IOException

  Description copied from class: `IndexReader`
  Returns an enumeration of all terms after a given term. The enumeration is ordered by Term.compareTo(). Each term is greater than all that precede it in the enumeration.

  Specified by:
    `terms` in class `IndexReader`
  Throws:
    `IOException`

### docFreq

    public int docFreq(Term t)
                throws IOException

  Description copied from class: `IndexReader`
  Returns the number of documents containing the term `t`.

  Specified by:
    `docFreq` in class `IndexReader`
  Throws:
    `IOException`

### termDocs

    public TermDocs termDocs()
                      throws IOException

  Description copied from class: `IndexReader`
  Returns an unpositioned `TermDocs` enumerator.

  Specified by:
    `termDocs` in class `IndexReader`
  Throws:
    `IOException`

### termPositions

    public TermPositions termPositions()
                                throws IOException

  Description copied from class: `IndexReader`
  Returns an unpositioned `TermPositions` enumerator.

  Specified by:
    `termPositions` in class `IndexReader`
  Throws:
    `IOException`

### doDelete

    protected void doDelete(int n)
                     throws IOException

  Description copied from class: `IndexReader`
  Implements deletion of the document numbered `docNum`. Applications should call `IndexReader.delete(int)` or `IndexReader.delete(Term)`.

  Specified by:
    `doDelete` in class `IndexReader`
  Throws:
    `IOException`

### doCommit

    protected void doCommit()
                     throws IOException

  Description copied from class: `IndexReader`
  Implements commit.

  Specified by:
    `doCommit` in class `IndexReader`
  Throws:
    `IOException`

### doClose

    protected void doClose()
                    throws IOException

  Description copied from class: `IndexReader`
  Implements close.

  Specified by:
    `doClose` in class `IndexReader`
  Throws:
    `IOException`

### getFieldNames

    public Collection getFieldNames()
                             throws IOException

  Description copied from class: `IndexReader`
  Returns a list of all unique field names that exist in the index pointed to by this IndexReader.

  Specified by:
    `getFieldNames` in class `IndexReader`
  Returns:
    Collection of Strings indicating the names of the fields
  Throws:
    `IOException` - if there is a problem with accessing the index

### getFieldNames

    public Collection getFieldNames(boolean indexed)
                             throws IOException

  Description copied from class: `IndexReader`
  Returns a list of all unique field names that exist in the index pointed to by this IndexReader. The boolean argument specifies whether the fields returned are indexed or not.

  Specified by:
    `getFieldNames` in class `IndexReader`
  Parameters:
    `indexed` - `true` if only indexed fields should be returned; `false` if only unindexed fields should be returned.
  Returns:
    Collection of Strings indicating the names of the fields
  Throws:
    `IOException` - if there is a problem with accessing the index

### getIndexedFieldNames

    public Collection getIndexedFieldNames(boolean storedTermVector)

  Specified by:
    `getIndexedFieldNames` in class `IndexReader`
  Parameters:
    `storedTermVector` - if true, returns only Indexed fields that have term vector info, else only indexed fields without term vector info
  Returns:
    Collection of Strings indicating the names of the fields

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.